Loading...
Searching...
No Matches
itk::ElastixRegistrationMethod< TFixedImage, TMovingImage > Class Template Reference

`#include <itkElastixRegistrationMethod.h>`

## Detailed Description

template<typename TFixedImage, typename TMovingImage>
class itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >

Definition at line 59 of file itkElastixRegistrationMethod.h.

Inheritance diagram for itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >:
[legend]

## Public Types

using | ArgumentMapEntryType = ArgumentMapType::value_type
using | ArgumentMapType = ElastixMainType::ArgumentMapType
using | ConstPointer = SmartPointer<const Self>
using | DataObjectContainerIterator = DataObjectContainerType::Iterator
using | DataObjectContainerPointer = ElastixMainType::DataObjectContainerPointer
using | DataObjectContainerType = ElastixMainType::DataObjectContainerType
using | DataObjectIdentifierType = ProcessObject::DataObjectIdentifierType
using | DataObjectPointerArraySizeType = ProcessObject::DataObjectPointerArraySizeType
using | ElastixMainObjectPointer = ElastixMainType::ObjectPointer
using | ElastixMainPointer = ElastixMainType::Pointer
using | ElastixMainType = elx::ElastixMain
using | ElastixMainVectorType = std::vector<ElastixMainPointer>
using | FixedImageType = TFixedImage
using | FixedMaskType = Image<unsigned char, FixedImageDimension>
using | FlatDirectionCosinesType = ElastixMainType::FlatDirectionCosinesType
using | MovingImageType = TMovingImage
using | MovingMaskType = Image<unsigned char, MovingImageDimension>
using | NameArrayType = ProcessObject::NameArray
using | ParameterMapType = ParameterObjectType::ParameterMapType
using | ParameterMapVectorType = ParameterObjectType::ParameterMapVectorType
using | ParameterObjectConstPointer = ParameterObjectType::ConstPointer
using | ParameterObjectPointer = ParameterObjectType::Pointer
using | ParameterObjectType = elx::ParameterObject
using | ParameterValueVectorType = ParameterObjectType::ParameterValueVectorType
using | Pointer = SmartPointer<Self>
using | ResultImageType = FixedImageType
using | Self = ElastixRegistrationMethod
using | Superclass = ImageSource<TFixedImage>
using | TransformType = Transform<double, FixedImageDimension, MovingImageDimension>

## Public Member Functions

virtual void | AddFixedImage (TFixedImage *fixedImage)
virtual void | AddFixedMask (FixedMaskType *fixedMask)
virtual void | AddMovingImage (TMovingImage *movingImage)
virtual void | AddMovingMask (MovingMaskType *movingMask)
void | DisableOutput ()
virtual const char * | GetClassName () const
TransformType * | GetCombinationTransform () const
TransformType * | GetExternalInitialTransform () const
const FixedImageType * | GetFixedImage () const
const FixedImageType * | GetFixedImage (const unsigned int index) const
const FixedMaskType * | GetFixedMask () const
const FixedMaskType * | GetFixedMask (const unsigned int index) const
virtual std::string | GetFixedPointSetFileName () const
const TransformType * | GetInitialTransform () const
virtual std::string | GetInitialTransformParameterFileName () const
const FixedImageType * | GetInput () const
const DataObject * | GetInput (DataObjectPointerArraySizeType index) const
virtual std::string | GetLogFileName () const
virtual ElastixLogLevel | GetLogLevel () const
virtual const bool & | GetLogToConsole ()
virtual const bool & | GetLogToFile ()
const MovingImageType * | GetMovingImage () const
const MovingImageType * | GetMovingImage (const unsigned int index) const
const MovingMaskType * | GetMovingMask () const
const MovingMaskType * | GetMovingMask (const unsigned int index) const
virtual std::string | GetMovingPointSetFileName () const
TransformType * | GetNthTransform (const unsigned int n) const
unsigned int | GetNumberOfFixedImages () const
unsigned int | GetNumberOfFixedMasks () const
unsigned int | GetNumberOfMovingImages () const
unsigned int | GetNumberOfMovingMasks () const
virtual int | GetNumberOfThreads () const
unsigned int | GetNumberOfTransforms () const
ResultImageType * | GetOutput ()
const ResultImageType * | GetOutput () const
DataObject * | GetOutput (unsigned int idx)
const DataObject * | GetOutput (unsigned int idx) const
virtual std::string | GetOutputDirectory () const
ParameterObjectType * | GetParameterObject ()
const ParameterObjectType * | GetParameterObject () const
ParameterObjectType * | GetTransformParameterObject ()
const ParameterObjectType * | GetTransformParameterObject () const
| ITK_DISALLOW_COPY_AND_MOVE (ElastixRegistrationMethod)
virtual void | LogToConsoleOff ()
virtual void | LogToConsoleOn ()
virtual void | LogToFileOff ()
virtual void | LogToFileOn ()
void | RemoveFixedMask ()
void | RemoveFixedPointSetFileName ()
virtual void | RemoveInitialTransformParameterFileName ()
void | RemoveLogFileName ()
virtual void | RemoveMovingMask ()
void | RemoveMovingPointSetFileName ()
void | RemoveOutputDirectory ()
void | SetExternalInitialTransform (TransformType *)
virtual void | SetFixedImage (TFixedImage *fixedImage)
virtual void | SetFixedMask (FixedMaskType *fixedMask)
virtual void | SetFixedPointSetFileName (std::string _arg)
void | SetInitialTransform (const TransformType *)
void | SetInitialTransformParameterFileName (std::string)
void | SetInitialTransformParameterObject (const elx::ParameterObject *)
void | SetInput (DataObjectPointerArraySizeType index, DataObject *input)
void | SetInput (FixedImageType *fixedImage)
void | SetLogFileName (const std::string logFileName)
virtual void | SetLogLevel (ElastixLogLevel _arg)
virtual void | SetLogToConsole (bool _arg)
virtual void | SetLogToFile (bool _arg)
virtual void | SetMovingImage (TMovingImage *movingImages)
virtual void | SetMovingMask (MovingMaskType *movingMask)
virtual void | SetMovingPointSetFileName (std::string _arg)
virtual void | SetNumberOfThreads (int _arg)
virtual void | SetOutputDirectory (std::string _arg)
virtual void | SetParameterObject (ParameterObjectType *parameterObject)

## Static Public Member Functions

static SmartPointer< TransformType > | ConvertToItkTransform (const TransformType &)
static Pointer | New ()

## Static Public Attributes

static constexpr unsigned int | FixedImageDimension = TFixedImage::ImageDimension
static constexpr unsigned int | MovingImageDimension = TMovingImage::ImageDimension

## Protected Types

using | DataObjectPointer = ProcessObject::DataObjectPointer

## Protected Member Functions

| ElastixRegistrationMethod ()
void | GenerateData () override
DataObjectPointer | MakeOutput (DataObjectPointerArraySizeType idx) override

## Private Types

using | AdvancedCombinationTransformType

## Private Member Functions

AdvancedCombinationTransformType * | GetAdvancedCombinationTransform () const
template<typename TImage>
std::vector< TImage * > | GetInputImages (const char *const inputTypeString)
unsigned int | GetNumberOfInputsOfType (const DataObjectIdentifierType &intputType) const
bool | IsInputOfType (const DataObjectIdentifierType &InputOfType, const DataObjectIdentifierType &inputName) const
std::string | MakeUniqueName (const DataObjectIdentifierType &key)
void | RemoveInputsOfType (const DataObjectIdentifierType &inputName)
void | ResetInitialTransformAndModified ()
void | ResetInitialTransformWithoutModified ()

## Private Attributes

SmartPointer< const elx::ElastixMain > | m_ElastixMain {}
bool | m_EnableOutput { true }
SmartPointer< TransformType > | m_ExternalInitialTransform {}
std::string | m_FixedPointSetFileName {}
SmartPointer< const TransformType > | m_InitialTransform {}
std::string | m_InitialTransformParameterFileName {}
SmartPointer< const elx::ParameterObject > | m_InitialTransformParameterObject {}
unsigned int | m_InputUID { 0 }
std::string | m_LogFileName {}
ElastixLogLevel | m_LogLevel {}
bool | m_LogToConsole { false }
bool | m_LogToFile { false }
std::string | m_MovingPointSetFileName {}
int | m_NumberOfThreads { 0 }
std::string | m_OutputDirectory {}

## Member Typedef Documentation

## AdvancedCombinationTransformType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::AdvancedCombinationTransformType

private

Initial value:
AdvancedCombinationTransform<elx::ElastixBase::CoordRepType, FixedImageDimension>
itk::AdvancedCombinationTransform
This class combines two transforms: an 'initial transform' with a 'current transform'.
Definition itkAdvancedCombinationTransform.h:57

Definition at line 378 of file itkElastixRegistrationMethod.h.

## ArgumentMapEntryType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ArgumentMapEntryType = ArgumentMapType::value_type

Definition at line 82 of file itkElastixRegistrationMethod.h.

## ArgumentMapType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ArgumentMapType = ElastixMainType::ArgumentMapType

Definition at line 81 of file itkElastixRegistrationMethod.h.

## ConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ConstPointer = SmartPointer<const Self>

Definition at line 68 of file itkElastixRegistrationMethod.h.

## DataObjectContainerIterator

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DataObjectContainerIterator = DataObjectContainerType::Iterator

Definition at line 87 of file itkElastixRegistrationMethod.h.

## DataObjectContainerPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DataObjectContainerPointer = ElastixMainType::DataObjectContainerPointer

Definition at line 86 of file itkElastixRegistrationMethod.h.

## DataObjectContainerType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DataObjectContainerType = ElastixMainType::DataObjectContainerType

Definition at line 85 of file itkElastixRegistrationMethod.h.

## DataObjectIdentifierType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DataObjectIdentifierType = ProcessObject::DataObjectIdentifierType

Definition at line 88 of file itkElastixRegistrationMethod.h.

## DataObjectPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DataObjectPointer = ProcessObject::DataObjectPointer

protected

Definition at line 316 of file itkElastixRegistrationMethod.h.

## DataObjectPointerArraySizeType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DataObjectPointerArraySizeType = ProcessObject::DataObjectPointerArraySizeType

Definition at line 89 of file itkElastixRegistrationMethod.h.

## ElastixMainObjectPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ElastixMainObjectPointer = ElastixMainType::ObjectPointer

Definition at line 80 of file itkElastixRegistrationMethod.h.

## ElastixMainPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ElastixMainPointer = ElastixMainType::Pointer

Definition at line 78 of file itkElastixRegistrationMethod.h.

## ElastixMainType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ElastixMainType = elx::ElastixMain

Typedefs.

Definition at line 77 of file itkElastixRegistrationMethod.h.

## ElastixMainVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ElastixMainVectorType = std::vector<ElastixMainPointer>

Definition at line 79 of file itkElastixRegistrationMethod.h.

## FixedImageType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::FixedImageType = TFixedImage

Definition at line 106 of file itkElastixRegistrationMethod.h.

## FixedMaskType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::FixedMaskType = Image<unsigned char, FixedImageDimension>

Definition at line 102 of file itkElastixRegistrationMethod.h.

## FlatDirectionCosinesType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::FlatDirectionCosinesType = ElastixMainType::FlatDirectionCosinesType

Definition at line 83 of file itkElastixRegistrationMethod.h.

## MovingImageType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::MovingImageType = TMovingImage

Definition at line 107 of file itkElastixRegistrationMethod.h.

## MovingMaskType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::MovingMaskType = Image<unsigned char, MovingImageDimension>

Definition at line 103 of file itkElastixRegistrationMethod.h.

## NameArrayType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::NameArrayType = ProcessObject::NameArray

Definition at line 90 of file itkElastixRegistrationMethod.h.

## ParameterMapType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ParameterMapType = ParameterObjectType::ParameterMapType

Definition at line 93 of file itkElastixRegistrationMethod.h.

## ParameterMapVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ParameterMapVectorType = ParameterObjectType::ParameterMapVectorType

Definition at line 94 of file itkElastixRegistrationMethod.h.

## ParameterObjectConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ParameterObjectConstPointer = ParameterObjectType::ConstPointer

Definition at line 97 of file itkElastixRegistrationMethod.h.

## ParameterObjectPointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ParameterObjectPointer = ParameterObjectType::Pointer

Definition at line 96 of file itkElastixRegistrationMethod.h.

## ParameterObjectType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ParameterObjectType = elx::ParameterObject

Definition at line 92 of file itkElastixRegistrationMethod.h.

## ParameterValueVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ParameterValueVectorType = ParameterObjectType::ParameterValueVectorType

Definition at line 95 of file itkElastixRegistrationMethod.h.

## Pointer

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::Pointer = SmartPointer<Self>

Definition at line 67 of file itkElastixRegistrationMethod.h.

## ResultImageType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ResultImageType = FixedImageType

Definition at line 108 of file itkElastixRegistrationMethod.h.

## Self

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::Self = ElastixRegistrationMethod

Standard ITK typedefs.

Definition at line 65 of file itkElastixRegistrationMethod.h.

## Superclass

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::Superclass = ImageSource<TFixedImage>

Definition at line 66 of file itkElastixRegistrationMethod.h.

## TransformType

template<typename TFixedImage, typename TMovingImage>

using itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::TransformType = Transform<double, FixedImageDimension, MovingImageDimension>

Definition at line 104 of file itkElastixRegistrationMethod.h.

## Constructor & Destructor Documentation

## ElastixRegistrationMethod()

template<typename TFixedImage, typename TMovingImage>

itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ElastixRegistrationMethod | ( |  | ) |

protected

## Member Function Documentation

## AddFixedImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::AddFixedImage | ( | TFixedImage * | fixedImage | ) |

virtual

## AddFixedMask()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::AddFixedMask | ( | FixedMaskType * | fixedMask | ) |

virtual

Set/Add/Get/Remove/NumberOf fixed masks.

## AddMovingImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::AddMovingImage | ( | TMovingImage * | movingImage | ) |

virtual

## AddMovingMask()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::AddMovingMask | ( | MovingMaskType * | movingMask | ) |

virtual

## ConvertToItkTransform()

template<typename TFixedImage, typename TMovingImage>

SmartPointer< TransformType > itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ConvertToItkTransform | ( | const TransformType & |  | ) |

static

Converts the specified elastix Transform object to the corresponding ITK Transform object. Returns null if there is no corresponding ITK Transform type.

## DisableOutput()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::DisableOutput | ( |  | ) |

inline

Disables output to log and standard output.

Definition at line 282 of file itkElastixRegistrationMethod.h.

## GenerateData()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GenerateData | ( |  | ) |

override protected

## GetAdvancedCombinationTransform()

template<typename TFixedImage, typename TMovingImage>

AdvancedCombinationTransformType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetAdvancedCombinationTransform | ( |  | ) | const

private

## GetClassName()

template<typename TFixedImage, typename TMovingImage>

virtual const char * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetCombinationTransform()

template<typename TFixedImage, typename TMovingImage>

TransformType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetCombinationTransform | ( |  | ) | const

Returns the combination transformation, produced during the last Update().

## GetExternalInitialTransform()

template<typename TFixedImage, typename TMovingImage>

TransformType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetExternalInitialTransform | ( |  | ) | const

inline

Returns the previously specified external ITK Transform. Note that it allows full access to the transform, even when having const-only access to this ElastixRegistrationMethod, because the transform is external to the ElastixRegistrationMethod object.

Definition at line 226 of file itkElastixRegistrationMethod.h.

## GetFixedImage() [1/2]

template<typename TFixedImage, typename TMovingImage>

const FixedImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetFixedImage | ( |  | ) | const

## GetFixedImage() [2/2]

template<typename TFixedImage, typename TMovingImage>

const FixedImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetFixedImage | ( | const unsigned int | index | ) | const

## GetFixedMask() [1/2]

template<typename TFixedImage, typename TMovingImage>

const FixedMaskType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetFixedMask | ( |  | ) | const

## GetFixedMask() [2/2]

template<typename TFixedImage, typename TMovingImage>

const FixedMaskType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetFixedMask | ( | const unsigned int | index | ) | const

## GetFixedPointSetFileName()

template<typename TFixedImage, typename TMovingImage>

virtual std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetFixedPointSetFileName | ( |  | ) | const

virtual

## GetInitialTransform()

template<typename TFixedImage, typename TMovingImage>

const TransformType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetInitialTransform | ( |  | ) | const

inline

Returns the previously specified initial ITK Transform. Only allows const access to the transform.

Definition at line 213 of file itkElastixRegistrationMethod.h.

## GetInitialTransformParameterFileName()

template<typename TFixedImage, typename TMovingImage>

virtual std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetInitialTransformParameterFileName | ( |  | ) | const

virtual

## GetInput() [1/2]

template<typename TFixedImage, typename TMovingImage>

const FixedImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetInput | ( |  | ) | const

## GetInput() [2/2]

template<typename TFixedImage, typename TMovingImage>

const DataObject * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetInput | ( | DataObjectPointerArraySizeType | index | ) | const

## GetInputImages()

template<typename TFixedImage, typename TMovingImage>
template<typename TImage>

std::vector< TImage * > itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetInputImages | ( | const char *const | inputTypeString | ) |

inline private

Retrieves either the fixed or the moving input images.

Definition at line 342 of file itkElastixRegistrationMethod.h.

## GetLogFileName()

template<typename TFixedImage, typename TMovingImage>

virtual std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetLogFileName | ( |  | ) | const

virtual

## GetLogLevel()

template<typename TFixedImage, typename TMovingImage>

virtual ElastixLogLevel itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetLogLevel | ( |  | ) | const

virtual

## GetLogToConsole()

template<typename TFixedImage, typename TMovingImage>

virtual const bool & itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetLogToConsole | ( |  | ) |

virtual

## GetLogToFile()

template<typename TFixedImage, typename TMovingImage>

virtual const bool & itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetLogToFile | ( |  | ) |

virtual

## GetMovingImage() [1/2]

template<typename TFixedImage, typename TMovingImage>

const MovingImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetMovingImage | ( |  | ) | const

## GetMovingImage() [2/2]

template<typename TFixedImage, typename TMovingImage>

const MovingImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetMovingImage | ( | const unsigned int | index | ) | const

## GetMovingMask() [1/2]

template<typename TFixedImage, typename TMovingImage>

const MovingMaskType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetMovingMask | ( |  | ) | const

## GetMovingMask() [2/2]

template<typename TFixedImage, typename TMovingImage>

const MovingMaskType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetMovingMask | ( | const unsigned int | index | ) | const

## GetMovingPointSetFileName()

template<typename TFixedImage, typename TMovingImage>

virtual std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetMovingPointSetFileName | ( |  | ) | const

virtual

## GetNthTransform()

template<typename TFixedImage, typename TMovingImage>

TransformType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNthTransform | ( | const unsigned int | n | ) | const

Returns the nth transformation, produced during the last Update().

## GetNumberOfFixedImages()

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfFixedImages | ( |  | ) | const

## GetNumberOfFixedMasks()

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfFixedMasks | ( |  | ) | const

## GetNumberOfInputsOfType()

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfInputsOfType | ( | const DataObjectIdentifierType & | intputType | ) | const

private

GetNumberOfInputsOfType

## GetNumberOfMovingImages()

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfMovingImages | ( |  | ) | const

## GetNumberOfMovingMasks()

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfMovingMasks | ( |  | ) | const

## GetNumberOfThreads()

template<typename TFixedImage, typename TMovingImage>

virtual int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfThreads | ( |  | ) | const

virtual

## GetNumberOfTransforms()

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetNumberOfTransforms | ( |  | ) | const

Returns the number of transformations, produced during the last Update().

## GetOutput() [1/4]

template<typename TFixedImage, typename TMovingImage>

ResultImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetOutput | ( |  | ) |

## GetOutput() [2/4]

template<typename TFixedImage, typename TMovingImage>

const ResultImageType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetOutput | ( |  | ) | const

## GetOutput() [3/4]

template<typename TFixedImage, typename TMovingImage>

DataObject * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetOutput | ( | unsigned int | idx | ) |

## GetOutput() [4/4]

template<typename TFixedImage, typename TMovingImage>

const DataObject * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetOutput | ( | unsigned int | idx | ) | const

## GetOutputDirectory()

template<typename TFixedImage, typename TMovingImage>

virtual std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetOutputDirectory | ( |  | ) | const

virtual

## GetParameterObject() [1/2]

template<typename TFixedImage, typename TMovingImage>

ParameterObjectType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetParameterObject | ( |  | ) |

## GetParameterObject() [2/2]

template<typename TFixedImage, typename TMovingImage>

const ParameterObjectType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetParameterObject | ( |  | ) | const

## GetTransformParameterObject() [1/2]

template<typename TFixedImage, typename TMovingImage>

ParameterObjectType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetTransformParameterObject | ( |  | ) |

Get transform parameter object.

## GetTransformParameterObject() [2/2]

template<typename TFixedImage, typename TMovingImage>

const ParameterObjectType * itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::GetTransformParameterObject | ( |  | ) | const

## IsInputOfType()

template<typename TFixedImage, typename TMovingImage>

bool itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::IsInputOfType | ( | const DataObjectIdentifierType & | InputOfType,
|  | const DataObjectIdentifierType & | inputName ) const

private

IsInputOfType.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TFixedImage, typename TMovingImage>

itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | ElastixRegistrationMethod< TFixedImage, TMovingImage > |  | ) |

## LogToConsoleOff()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::LogToConsoleOff | ( |  | ) |

virtual

## LogToConsoleOn()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::LogToConsoleOn | ( |  | ) |

virtual

## LogToFileOff()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::LogToFileOff | ( |  | ) |

virtual

## LogToFileOn()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::LogToFileOn | ( |  | ) |

virtual

## MakeOutput()

template<typename TFixedImage, typename TMovingImage>

DataObjectPointer itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::MakeOutput | ( | DataObjectPointerArraySizeType | idx | ) |

override protected

## MakeUniqueName()

template<typename TFixedImage, typename TMovingImage>

std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::MakeUniqueName | ( | const DataObjectIdentifierType & | key | ) |

private

MakeUniqueName.

## New()

template<typename TFixedImage, typename TMovingImage>

Pointer itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## RemoveFixedMask()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveFixedMask | ( |  | ) |

## RemoveFixedPointSetFileName()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveFixedPointSetFileName | ( |  | ) |

inline

Definition at line 239 of file itkElastixRegistrationMethod.h.

## RemoveInitialTransformParameterFileName()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveInitialTransformParameterFileName | ( |  | ) |

inline virtual

Definition at line 202 of file itkElastixRegistrationMethod.h.

## RemoveInputsOfType()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveInputsOfType | ( | const DataObjectIdentifierType & | inputName | ) |

private

RemoveInputsOfType.

## RemoveLogFileName()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveLogFileName | ( |  | ) |

## RemoveMovingMask()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveMovingMask | ( |  | ) |

virtual

## RemoveMovingPointSetFileName()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveMovingPointSetFileName | ( |  | ) |

inline

Definition at line 248 of file itkElastixRegistrationMethod.h.

## RemoveOutputDirectory()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::RemoveOutputDirectory | ( |  | ) |

inline

Definition at line 257 of file itkElastixRegistrationMethod.h.

## ResetInitialTransformAndModified()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ResetInitialTransformAndModified | ( |  | ) |

inline private

Definition at line 365 of file itkElastixRegistrationMethod.h.

## ResetInitialTransformWithoutModified()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::ResetInitialTransformWithoutModified | ( |  | ) |

inline private

Definition at line 356 of file itkElastixRegistrationMethod.h.

## SetExternalInitialTransform()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetExternalInitialTransform | ( | TransformType * |  | ) |

Set the initial transformation by means of an external ITK Transform.

## SetFixedImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetFixedImage | ( | TFixedImage * | fixedImage | ) |

virtual

Set/Add/Get/NumberOf fixed images.

## SetFixedMask()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetFixedMask | ( | FixedMaskType * | fixedMask | ) |

virtual

## SetFixedPointSetFileName()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetFixedPointSetFileName | ( | std::string | _arg | ) |

virtual

Set/Get/Remove fixed point set filename.

## SetInitialTransform()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetInitialTransform | ( | const TransformType * |  | ) |

Set the initial transformation by means of an ITK Transform.

## SetInitialTransformParameterFileName()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetInitialTransformParameterFileName | ( | std::string |  | ) |

Set/Get/Remove initial transform parameter filename.

## SetInitialTransformParameterObject()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetInitialTransformParameterObject | ( | const elx::ParameterObject * |  | ) |

Set initial transform parameter object.

## SetInput() [1/2]

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetInput | ( | DataObjectPointerArraySizeType | index,
|  | DataObject * | input )

## SetInput() [2/2]

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetInput | ( | FixedImageType * | fixedImage | ) |

## SetLogFileName()

template<typename TFixedImage, typename TMovingImage>

void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetLogFileName | ( | const std::string | logFileName | ) |

Set/Get/Remove log filename.

## SetLogLevel()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetLogLevel | ( | ElastixLogLevel | _arg | ) |

virtual

## SetLogToConsole()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetLogToConsole | ( | bool | _arg | ) |

virtual

Log to std::cout on/off.

## SetLogToFile()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetLogToFile | ( | bool | _arg | ) |

virtual

Log to file on/off.

## SetMovingImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetMovingImage | ( | TMovingImage * | movingImages | ) |

virtual

Set/Add/Get/NumberOf moving images.

## SetMovingMask()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetMovingMask | ( | MovingMaskType * | movingMask | ) |

virtual

Set/Add/Get/Remove/NumberOf moving masks.

## SetMovingPointSetFileName()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetMovingPointSetFileName | ( | std::string | _arg | ) |

virtual

Set/Get/Remove moving point set filename.

## SetNumberOfThreads()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetNumberOfThreads | ( | int | _arg | ) |

virtual

## SetOutputDirectory()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetOutputDirectory | ( | std::string | _arg | ) |

virtual

Set/Get/Remove output directory.

## SetParameterObject()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::SetParameterObject | ( | ParameterObjectType * | parameterObject | ) |

virtual

Set/Get parameter object.

## Field Documentation

## FixedImageDimension

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::FixedImageDimension = TFixedImage::ImageDimension

static constexpr

Definition at line 99 of file itkElastixRegistrationMethod.h.

## m_ElastixMain

template<typename TFixedImage, typename TMovingImage>

SmartPointer<const elx::ElastixMain> itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_ElastixMain {}

private

Definition at line 384 of file itkElastixRegistrationMethod.h.

## m_EnableOutput

template<typename TFixedImage, typename TMovingImage>

bool itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_EnableOutput { true }

private

Definition at line 397 of file itkElastixRegistrationMethod.h.

## m_ExternalInitialTransform

template<typename TFixedImage, typename TMovingImage>

SmartPointer<TransformType> itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_ExternalInitialTransform {}

private

Definition at line 389 of file itkElastixRegistrationMethod.h.

## m_FixedPointSetFileName

template<typename TFixedImage, typename TMovingImage>

std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_FixedPointSetFileName {}

private

Definition at line 391 of file itkElastixRegistrationMethod.h.

## m_InitialTransform

template<typename TFixedImage, typename TMovingImage>

SmartPointer<const TransformType> itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_InitialTransform {}

private

Definition at line 388 of file itkElastixRegistrationMethod.h.

## m_InitialTransformParameterFileName

template<typename TFixedImage, typename TMovingImage>

std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_InitialTransformParameterFileName {}

private

Definition at line 386 of file itkElastixRegistrationMethod.h.

## m_InitialTransformParameterObject

template<typename TFixedImage, typename TMovingImage>

SmartPointer<const elx::ParameterObject> itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_InitialTransformParameterObject {}

private

Definition at line 387 of file itkElastixRegistrationMethod.h.

## m_InputUID

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_InputUID { 0 }

private

Definition at line 405 of file itkElastixRegistrationMethod.h.

## m_LogFileName

template<typename TFixedImage, typename TMovingImage>

std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_LogFileName {}

private

Definition at line 395 of file itkElastixRegistrationMethod.h.

## m_LogLevel

template<typename TFixedImage, typename TMovingImage>

ElastixLogLevel itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_LogLevel {}

private

Definition at line 401 of file itkElastixRegistrationMethod.h.

## m_LogToConsole

template<typename TFixedImage, typename TMovingImage>

bool itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_LogToConsole { false }

private

Definition at line 398 of file itkElastixRegistrationMethod.h.

## m_LogToFile

template<typename TFixedImage, typename TMovingImage>

bool itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_LogToFile { false }

private

Definition at line 399 of file itkElastixRegistrationMethod.h.

## m_MovingPointSetFileName

template<typename TFixedImage, typename TMovingImage>

std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_MovingPointSetFileName {}

private

Definition at line 392 of file itkElastixRegistrationMethod.h.

## m_NumberOfThreads

template<typename TFixedImage, typename TMovingImage>

int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_NumberOfThreads { 0 }

private

Definition at line 403 of file itkElastixRegistrationMethod.h.

## m_OutputDirectory

template<typename TFixedImage, typename TMovingImage>

std::string itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::m_OutputDirectory {}

private

Definition at line 394 of file itkElastixRegistrationMethod.h.

## MovingImageDimension

template<typename TFixedImage, typename TMovingImage>

unsigned int itk::ElastixRegistrationMethod< TFixedImage, TMovingImage >::MovingImageDimension = TMovingImage::ImageDimension

static constexpr

Definition at line 100 of file itkElastixRegistrationMethod.h.

Generated on 1768596610 for elastix by 1.15.0 |